[Bug 225615] Merge Review: binutils

bugzilla at redhat.com bugzilla at redhat.com
Wed Feb 6 15:39:28 UTC 2008


Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug report.

Summary: Merge Review: binutils


https://bugzilla.redhat.com/show_bug.cgi?id=225615


bugzilla at redhat.com changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
           Severity|normal                      |medium
           Priority|normal                      |medium
            Product|Fedora Extras               |Fedora
            Version|devel                       |rawhide

limb at jcomserv.net changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
         AssignedTo|nobody at fedoraproject.org    |limb at jcomserv.net
             Status|NEW                         |ASSIGNED
               Flag|                            |fedora-review?




------- Additional Comments From limb at jcomserv.net  2008-02-06 10:39 EST -------
rpmlint on srpm:

binutils.src:20: W: prereq-use /sbin/install-info
The use of PreReq is deprecated. In the majority of cases, a plain Requires
is enough and the right thing to do. Sometimes Requires(pre), Requires(post),
Requires(preun) and/or Requires(postun) can also be used instead of PreReq.

Fix.

binutils.src:22: W: unversioned-explicit-obsoletes gnupro
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

Fix if possible.

binutils.src:47: W: prereq-use /sbin/install-info
The use of PreReq is deprecated. In the majority of cases, a plain Requires
is enough and the right thing to do. Sometimes Requires(pre), Requires(post),
Requires(preun) and/or Requires(postun) can also be used instead of PreReq.

binutils.src:303: W: macro-in-%changelog _prefix
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.

binutils.src:745: W: macro-in-%changelog _prefix
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.

Fix.

binutils.src: W: %ifarch-applied-patch Patch4: binutils-2.18.50.0.3-ia64-lib64.p
                                                             atch
A patch is applied inside an %ifarch block. Patches must be applied
on all architectures and may contain necessary configure and/or code
patch to be effective only on a given arch.

Not a problem.

binutils.src: W: summary-ended-with-dot A GNU collection of binary utilities.
Summary ends with a dot.

Fix.

rpmlint on rpms is clean other than the above.

Why are the .a files not in a -static package?  What would be the ramifications
of correcting this?

Otherwise, looks good, no other blockers.


-- 
Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.




More information about the package-review mailing list